1. entronp's Avatar
    This is so lame. I have a 3g, 4.2.1 is the highest i can go, but now Cydia isn't working with older Cydia's but doesn't offer any help on how to upgrade! Grrrrrr.....
    01-27-2012 12:38 AM
LINK TO POST COPIED TO CLIPBOARD